SUBDIRS = src test

bin_SCRIPTS = psmodule-config

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA= psmodule.pc

EXTRA_DIST = \
	Doxyfile.in \
	psmodule-config.in \
	psmodule.pc.in \
	autogen.sh

if DOXYGEN

docs: Doxyfile $(prefix)/docs/psmodule $(mandir)/man3
	doxygen Doxyfile
	mv -f $(prefix)/docs/psmodule/man/man3/* $(mandir)/man3
	rm -rf $(prefix)/docs/psmodule/man

$(prefix)/docs/psmodule:
	mkdir -p $(prefix)/docs/psmodule

$(mandir)/man3:
	mkdir -p $(mandir)/man3

uninstall-hook:
	rm -rf $(prefix)/docs/psmodule/*

CLEANFILES = $(prefix)/docs/psmodule/*

endif

test: check
